trigger EquipmentRecallRejectDelete on Equipment__c (After Update) {

Equipment__c eqa = trigger.new[0];
    if (eqa.Opportunity__c != null && eqa.Flags__c == 'Delete' )        {            Set<Id> eqaIds = new Set<Id>();            Set<Id> opIds = new Set<Id>();                for (Equipment__c eqa2: Trigger.New){                    opIds.add(eqa2.Opportunity__c);                    eqaIds.add(eqa2.Id);         }            list<equipment__c> eqa3 = [select id, Flags__c, Statis__c, Opportunity__c from equipment__c where ID in :eqaIds AND Flags__c = 'Delete' ];            Database.delete(eqa3);}}